=== mod_cache/Makefile ===

DSO   = libcache.so
SRCS  = mod_cache.c mmap_cache.c
OPTS  =
NAME  = -n cache

include ../Makefile.inc
