=== mod_cgisock/Makefile ===

DSO   = mod_cgisock.so
SRCS  = mod_cgisock.c
OPTS  =

include ../Makefile.inc
