=== mod_layout/Makefile ===

DSO   = mod_layout.so
SRCS  = mod_layout.c
OPTS  =

include ../Makefile.inc
