=== mod_monitor/Makefile ===

DSO   = mod_monitor.so
SRCS  = mod_monitor.c
OPTS  =

include ../Makefile.inc
