=== mod_random/Makefile ===

DSO   = mod_random.so
SRCS  = mod_random.c
OPTS  =

include ../Makefile.inc
