=== debian/changelog ===
apache-perl (1.3.26-1-1.26-0woody2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Backport security fixes from 1.3.27 for the following issues:
    - CAN-2002-0839 (shared memory scoreboard uid/gid)
    - CAN-2002-0840 (cross-site scripting in error page)
    - CAN-2002-0843 (buffer overflows in ApacheBench ab.c)
  * Fix insecure temporary file creation in htpasswd and htdigest
  * Added another fix against two overflowed buffer in the htdigest
    program

 -- Martin Schulze <joey@infodrom.org>  Mon,  4 Nov 2002 22:51:02 +0100

apache-perl (1.3.26-1-1.26-0woody1) testing-security; urgency=high

  * New upstream apache.
  * Fixes chunked encoding vulnerability.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 21 Jun 2002 10:08:33 -0400

apache-perl (1.3.24-3-1.26-1-1) unstable; urgency=low

  * New Apache patchlevel.
  * Fixes incompatibility with mod_proxy.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 16 May 2002 14:54:07 -0400

apache-perl (1.3.24-2-1.26-1-1) unstable; urgency=low

  * New upstream Apache.
  * Add Spanish templates (Closes: #142660).
  * Removed "thetarget_unquoted" patch from Apache.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 13 Apr 2002 18:05:16 -0400

apache-perl (1.3.23-1-1.26-1-3) unstable; urgency=low

  * Use restart rather than stop/start in postinst.
  * Change priority to extra.
  * Add Russian templates (Closes: #135872).
  * Add Catalan templates (Closes: #139743).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 29 Mar 2002 16:23:02 -0500

apache-perl (1.3.23-1-1.26-1-2) unstable; urgency=low

  * Remove postgresql and mysql build dependencies (Closes: #133763).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 17 Feb 2002 19:31:38 -0500

apache-perl (1.3.23-1-1.26-1-1) unstable; urgency=low

  * New upstream Apache (Closes: #123964).
  * Add German debconf template (Closes: #118960).
  * Warn about bad PidFile directive (Closes: #121637, #123285).

 -- Daniel Jacobowitz <dan@debian.org>  Thu,  7 Feb 2002 13:52:09 -0500

apache-perl (1.3.22-2-1.26-3) unstable; urgency=low

  * Fix endcase/esac confusion on prerm (Closes: #118594).

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  7 Nov 2001 11:01:18 -0500

apache-perl (1.3.22-2-1.26-2) unstable; urgency=low

  * Add missing build depends.

 -- Daniel Jacobowitz <dan@debian.org>  Thu,  1 Nov 2001 12:22:11 -0500

apache-perl (1.3.22-2-1.26-1) unstable; urgency=low

  * New upstream apache.
  * New upstream mod_perl.
  * No longer conflict with apache (Closes: #56591, #74416).
  * Add a debconf note explaining our moved configuration.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 31 Oct 2001 00:00:34 -0500

apache-perl (1.3.20-1-1.25-5) unstable; urgency=low

  * New upstream apache (Closes: #101841, #97105).
  * Update for perl 5.6.1 (Closes: #98555, #106306).
  * Build with db1 and -I/usr/include/db1 regardless of whether gdbm is
    installed.
  * Disable EAPI_MM for now (Closes: #101050, #107215).
  * This package is known to have trouble with loading PerlModules,
    like AxKit.  The module is loaded first pass through the config file
    and not unloaded before the second pass.  I'm working on this problem,
    but uploading anyway to get an installable apache-perl into unstable.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 25 Aug 2001 17:31:40 -0700

apache-perl (1.3.19-1-1.25-4) unstable; urgency=low

  * New upstream apache and new debian revision of mod_perl.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 13 Apr 2001 20:01:46 -0400

apache-perl (1.3.14-2.3-1.25-3) unstable; urgency=low

  * New apache source to fix lingering AddDefaultCharsetName issues and
    gratuitous killing of programs named 'apache'.
  * New upstream mod_perl package.
  * Migrate to sane perl.
  * Add EAPI and EAPI_MM support (closes: #87288).

 -- Dan Jacobowitz <dan@debian.org>  Sun,  4 Mar 2001 12:52:15 -0500

apache-perl (1.3.14-1-1.24.01-1) unstable; urgency=medium

  * New upstream version of apache (Closes: #70472, #78676, #74710).
  * New upstream version of mod_perl.
  * Built with Perl 5.6 (Closes: #77893, #80698, #78113).
  * Update control handling and dependencies as per mod_perl package.
  * Update build dependencies from Apache.
  * Restart apache on upgrades, since apacheconfig has a tendency to leave
    us stopped.

 -- Dan Jacobowitz <dan@debian.org>  Tue,  9 Jan 2001 19:43:05 -0500

apache-perl (1.3.12-1-1.24-2) unstable; urgency=medium

  * Add debhelper build dep.  Thanks, Roman (Closes: #68402).
  * Last version is installable with current apache-common
    (Closes: #66708, #62715).

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  2 Aug 2000 10:56:25 -0700

apache-perl (1.3.12-1-1.24-1) unstable; urgency=medium

  * New upstreams of both.
  * Play an evil sed trick in apache's debian/rules, because
    mod_ticket.c declares an int named 'bool'.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 31 Jul 2000 17:06:38 -0700
