=== libapache-mod-perl-1.26/debian/changelog ===
libapache-mod-perl (1.26-1) unstable; urgency=low

  * New upstream version.
  * Rebuild with Apache 1.3.22 (Closes: #116743).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 24 Oct 2001 18:12:18 -0400

libapache-mod-perl (1.25-7) unstable; urgency=low

  * Rebuild with Apache 1.3.20-1.
  * Add patch to reduce the memory leaks on restarts yet further.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Jun 2001 11:32:38 -0700

libapache-mod-perl (1.25-6) unstable; urgency=low

  * Rebuilding with perl 5.6.1-2 solves the lintian fPIC error.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 23 May 2001 15:21:03 -0700

libapache-mod-perl (1.25-5) unstable; urgency=low

  * Adjust install directories and dependencies as per the latest perl
    policy (Closes: #95519).
  * Revert the child_num patch, according to upstream's opinion.
  * Build with perl 5.6.1, and matching build dependencies.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 21 May 2001 15:05:50 -0700

libapache-mod-perl (1.25-4) unstable; urgency=low

  * Bump build dependency to apache 1.3.19 (Closes: #92539, #91930).
  * Fix queer makefile bug: if Makefile is out of date w.r.t. Perl's
    Config.pm, make distclean tries to remake it, and prompts.
    Touch makefile before making distclean.

 -- Daniel Jacobowitz <dan@debian.org>  Mon,  2 Apr 2001 13:34:46 -0400

libapache-mod-perl (1.25-3) unstable; urgency=low

  * Patch from Philippe Troin to expose child_num() (closes: #86964).
  * Rebuild with even newer sane perl.

 -- Dan Jacobowitz <dan@debian.org>  Sun,  4 Mar 2001 12:02:53 -0500

libapache-mod-perl (1.25-2) unstable; urgency=low

  * Fix missing brace in control file.  Thanks to Philippe
    Troin. (closes: #86229)

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 16 Feb 2001 18:40:37 -0500

libapache-mod-perl (1.25-1) unstable; urgency=low

  * New upstream version.
  * Patch from Philippe Troin <phil@fifi.org> to expose $r->allowed
    (closes: #85328).
  * Migrate to the sane perl.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 16 Feb 2001 00:06:20 -0500

libapache-mod-perl (1.24.01-2) unstable; urgency=low

  * Rebuild with apache 1.3.14-1.

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  6 Dec 2000 16:47:47 -0500

libapache-mod-perl (1.24.01-1) unstable; urgency=low

  * New upstream release (1.24_01).
  * Recompile against Perl 5.6, and update build dependencies.
  * Link to shared libperl at last.
  * Recompile against apache 1.3.12-2.2, gaining large file support.
  * Adapt rules mechanism for the 5.00x -> 5.x transition.
  * Lose the silly sed tricks for building debian/control; lose
    debian/control.in.  Casualties: Build depends on perl 5.6 and
    libperl5.6 explicitly; can no longer build libapache-mod-perl-5.005
    style packages (you can build libapache-mod-perl that depends on
    perl 5.005, but it will still be named libapache-mod-perl).
    Not sure if those ever worked anyway...

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 27 Nov 2000 19:37:43 -0500
