=== debian/control ===
Source: apache-perl
Section: web
Priority: extra
Maintainer: Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.5.6
Build-Depends: sharutils, debhelper (>= 2.0.21), perl (>= 5.6.1-2), libperl-dev (>= 5.6.1-2), libwww-perl, libdevel-symdump-perl, libhtml-parser-perl, libdb2-dev (>= 2.7.7-2.1), libmm11-dev, libgdbmg1-dev

Package: apache-perl
Architecture: any
Depends: ${shlibs:Depends}, mime-support, apache-common (>= ${THISAPACHE}), apache-common (<< ${NEXTAPACHE}), libapache-mod-perl (>= ${THISMODPERL}), libapache-mod-perl (<< ${NEXTMODPERL}), debconf, dpkg (>> 1.9.0)
Recommends: apache
Provides: httpd
Priority: extra
Description: Versatile, high-performance HTTP server with added Perl support
 This version of Apache contains the mod_perl module statically linked.
 .
 The most popular server in the world, Apache features a modular
 design and supports dynamic selection of extension modules at runtime.
 Some of its strong points are its range of possible customization,
 dynamic adjustment of the number of server processes, and a whole
 range of available modules including many authentication mechanisms,
 server-parsed HTML, server-side includes, access control, CERN httpd
 metafiles emulation, proxy caching, etc.  Apache also supports multiple
 virtual homing.
 .
 Separate Debian packages are available for PHP3, Java Servlet support,
 Apache-SSL, and other common extensions.  More information is available
 at http://www.apache.org/.
