=== libapache-mod-perl-1.26/debian/control ===
Source: libapache-mod-perl
Section: web
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.1.1.1
Build-Depends: perl (>= 5.6.1-2), libperl-dev (>= 5.6.1-2), apache-dev (>= 1.3.22), debhelper, libwww-perl, libdevel-symdump-perl, libhtml-parser-perl, libgdbmg1-dev

Package: libapache-mod-perl
Architecture: any
Depends: apache-common (>= ${THISDEV}), apache-common (<< ${NEXTDEV}), ${perl:Depends}, libwww-perl, libmime-base64-perl, libdevel-symdump-perl, liburi-perl, ${shlibs:Depends}
Description: Integration of perl with the Apache web server
 mod_perl allows the use of Perl for just about anything
 Apache-related, including <Perl> sections in the config
 files and the famous Apache::Registry module for caching
 compiled scripts.
 .
 It can produce anywhere from a 400% to 2000% speed increase
 on sites using perl scripts, and is used on many large script-
 based web sites - for example, http://slashdot.org.
